Documentation Index
Fetch the complete documentation index at: https://fal.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
- Edit
- Text To Image
Endpoint:
POST https://fal.run/fal-ai/bytedance/seedream/v4/edit
Endpoint ID: fal-ai/bytedance/seedream/v4/editTry it in the Playground
Run this model interactively with your own prompts.
Quick Start
Input Schema
The text prompt used to edit the image
The size of the generated image. The minimum total image area is 921600 pixels. Failing this, the image size will be adjusted to by scaling it up, while maintaining the aspect ratio.Possible values:
square_hd, square, portrait_4_3, portrait_16_9, landscape_4_3, landscape_16_9, auto, auto_2K, auto_4KNumber of separate model generations to be run with the prompt. Default value:
1Range: 1 to 6If set to a number greater than one, enables multi-image generation. The model will potentially return up to
max_images images every generation, and in total, num_images generations will be carried out. In total, the number of images generated will be between num_images and max_images*num_images. The total number of images (image inputs + image outputs) must not exceed 15 Default value: 1Range: 1 to 6Random seed to control the stochasticity of image generation.
If
True, the media will be returned as a data URI and the output data won’t be available in the request history.If set to true, the safety checker will be enabled. Default value:
trueThe mode to use for enhancing prompt enhancement. Standard mode provides higher quality results but takes longer to generate. Fast mode provides average quality results but takes less time to generate. Default value:
"standard"Possible values: standard, fastList of URLs of input images for editing. Presently, up to 10 image inputs are allowed. If over 10 images are sent, only the last 10 will be used.
Output Schema
Generated images
Seed used for generation
Input Example
Output Example
Related
- Bytedance Seedream v4 — Image Generation
- Bytedance — Image Generation
- Bytedance Seedream v4 Edit — Image Generation
Limitations
num_imagesrange: 1 to 6max_imagesrange: 1 to 6enhance_prompt_moderestricted to:standard,fast- Content moderation via safety checker